:root {
    --blue-medio: #0058B3;
    --blue-dark: #004791;
    --blue-light: #eef4fb;
    --yellow: #ffc107;
    --backgrount-yellow: #ffc83a;
    --text-color: #333;
    --bg-grey: #f9f9f9;
    --background-white: #f8fafd;
    --background-general: #E4EBF5;
    --background-login-card: #FFFFFFCC;
    --std-shadow: 2px 2px 10px 0px #00000033;
}

html { scroll-behavior: smooth; }

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Titillium Web', sans-serif;
    font-weight: 400;
    color: var(--blue-medio);
    line-height: 1.6;
    background-color: var(--background-general);
}

main{
    padding: 0 0;
}

.container {
    margin: 0 auto;
    padding: 0 100px;
}

.logo { height: 40px; }

nav a {
    color: white;
    text-decoration: none;
    margin-left: 20px;
    font-weight: 600;
    font-size: 0.9rem;
}


.btn {
    display: block;
    width: 100%;
    padding: 12px;
    margin-top: 15px;
    border-radius: 5px;
    font-weight: 600;
    cursor: pointer;
    border: 2.19px solid var(--blue-medio);
    color: var(--blue-medio);
}

/* Sections General */
h1 {
    text-align: center;
    color: var(--blue-medio);
    margin-bottom: 20px;
    margin-top: 40px;
    font-weight: 700;
    font-size: 36px;
}
h2 {
    text-align: center;
    color: var(--blue-medio);
    margin-bottom: 20px;
    font-weight: 700;
    font-size: 40px;
}

h3 {
    color: var(--blue-medio);
    font-weight: 700;
    font-size: 24px;
}

p {
    font-family: 'Titillium Web', regular, sans-serif;
    color: var(--blue-medio);
    font-weight: 400;
    font-size: 20px;
}

ul {
    list-style: disc inside;
    margin: 20px 0;
    padding-left: 20px;
}

summary {
    font-weight: 550;
    font-size: 20px;
    color: var(--blue-medio);
    cursor: pointer;
    margin-bottom: 10px;
}
.section-subtitle {
    text-align: center;
    font-weight: 400;
    font-size: 24px;
    margin: 0 auto 40px;
}
/* NFC Checker */
.nfc-checker {
    margin-top: 40px;
    background: white;
    padding: 20px;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    border: 1px solid #eee;
}

.btn-yellow {
    background: var(--yellow);
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    font-weight: bold;
    cursor: pointer;
}

@media (max-width: 768px) {
    .hero-grid, .cards-grid, .steps-container {
        grid-template-columns: 1fr;
        flex-direction: column;
    }
    .steps-container::before { display: none; }
}

/* Responsive */
@media (max-width: 992px) {
    .categories-grid { grid-template-columns: repeat(2, 1fr); }
    .footer-grid { grid-template-columns: 1fr 1fr; }
    .container {padding: 0 40px;}
}

@media (max-width: 768px) {
    .payments-grid, .dashboard-grid { grid-template-columns: 1fr; }
    .categories-grid { grid-template-columns: 1fr; }
    .card-overlap { left: 0; top: 0; position: relative; width: 100%; margin-top: 20px; }
    .container {padding: 0 20px;}
}

@media (max-width: 768px) {
    .accreditamento {
        padding: 60px 0;
    }
}

@media (max-width: 480px) {
    .accreditamento {
        padding: 40px 0;
    }
}
